using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Parser_Xls_Integral
{
    using Newtonsoft.Json;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("neusekove_informacie")]
    public class NeusekoveInformacie
    {
        [JsonProperty("or")]
        public string OR { get; set; }

        [JsonProperty("smsu")]
        public string SMSU { get; set; }

        [JsonProperty("tu")]
        public string TU { get; set; }

        [JsonProperty("du")]
        public string DU { get; set; }

        [JsonProperty("nazov_du")]
        public string NazovDU { get; set; }

        [JsonProperty("kategoria_trate")]
        public string KategoriaTrate { get; set; }

        [JsonProperty("rozchod")]
        public string Rozchod { get; set; }

        [JsonProperty("oznacenie_rozchodu")]
        public string OznačenieRozchodu { get; set; }

        [JsonProperty("koridory")]
        public string Koridory { get; set; }

        [JsonProperty("cislo_ttp")]
        public string CisloTTP { get; set; }

        [JsonProperty("typ_dopravy")]
        public string TypDopravy { get; set; }

        [JsonProperty("typ_trate")]
        public string TypTrate { get; set; }

        [JsonProperty("kategoria_zatazenia_trate")]
        public string KategoriaZatazeniaTrate { get; set; }

        [JsonProperty("zatazenie_na_1m")]
        public string ZatazenieNa1m { get; set; }

        [JsonProperty("hmotnost_na_1_napravu")]
        public string HmotnostNa1Napravu { get; set; }

        [JsonProperty("hmotnost_na_2_napravy")]
        public string HmotnostNa2Naprav { get; set; }

        [JsonProperty("hmotnost_na_2_nap_4_nap_voznov")]
        public string HmotnostNa2Nap4NapVoznov { get; set; }

        [JsonProperty("hmotnost_na_6_naprav")]
        public string HmotnostNa6Naprav { get; set; }

        [JsonProperty("triediaci_znak")]
        public string TriediaciZnak { get; set; }

        [JsonProperty("popis_triediaceho_znaku")]
        public string PopisTriediacehoZnaku { get; set; }

        [JsonProperty("typ_prevadzky")]
        public string TypPrevadzky { get; set; }

        [JsonProperty("cislo_kolaje")]
        public string CisloKolaje { get; set; }

        [JsonProperty("index_kolaje")]
        public string IndexKolaje { get; set; }

        [JsonProperty("km_od")]
        public string KmOd { get; set; }

        [JsonProperty("km_do")]
        public string KmDo { get; set; }

        [JsonProperty("presah")]
        public string Presah { get; set; }

        [JsonProperty("stavebna_dlzka")]
        public string StavebnaDlzka { get; set; }

        [JsonProperty("uzitocna_dlzka")]
        public string UzitocnaDlzka { get; set; }

        [JsonProperty("abnormalita")]
        public string Abnormalita { get; set; }

        [JsonProperty("nadmorska_vyska")]
        public string NadmorskaVyska { get; set; }

        [JsonProperty("rad_kolaje")]
        public string RadKolaje { get; set; }

        [JsonProperty("cislo_im")]
        public string CisloIM { get; set; }

        [JsonProperty("cislo_tm")]
        public string CisloTM { get; set; }

        [JsonProperty("priechodne_prierezy_a_obrysy_vozidiel")]
        public string PriechodnePrierezyAObrysyVozidiel { get; set; }

        [JsonProperty("prevladajuca_trakcia")]
        public string PrevladavajucaTrakcia { get; set; }

        [JsonProperty("typ_prevladavajucej_trakcie")]
        public string TypPrevladavajucejTrakcie { get; set; }

        [JsonProperty("prevladavajuce_lozko")]
        public string PrevladavajuceLozko { get; set; }

        [JsonProperty("prevladajuci_tvar_zvrsku")]
        public string PrevladujuciTvarZvrsku { get; set; }

        [JsonProperty("prevladajuci_typ_podvalov")]
        public string PrevladujuciTypPodvalov { get; set; }

        [JsonProperty("prevladajuci_typ_upevnenia")]
        public string PrevladujuciTypUpevnenia { get; set; }

        [JsonProperty("zatriedenie_kolaje")]
        public string ZatriedenieKolaje { get; set; }

        [JsonProperty("dopravne_urcenie")]
        public string DopravneUrčenie { get; set; }

        [JsonProperty("zatazenie_trate")]
        public string ZatazenieTrate { get; set; }

        [JsonProperty("pocet_vlakov")]
        public string PocetVlakov { get; set; }

        [JsonProperty("datum_poslednej_zmeny")]
        public string DatumPoslednejZmeny { get; set; }
    }

}
